

%if !0%{?bootstrap}
%global tests 1
%endif

Name:    analitza
Summary: Library of mathematical features
Version: 23.08.4
Release:    1%{?dist}

License: GPLv2+
URL:     https://invent.kde.org/education/%{name}

%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0:  http://download.kde.org/%{stable}/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires: extra-cmake-modules >= 1.3
BuildRequires: kf5-rpm-macros
BuildRequires: pkgconfig(eigen3)
BuildRequires: pkgconfig(Qt5Widgets) pkgconfig(Qt5Xml) pkgconfig(Qt5Svg)
BuildRequires: pkgconfig(Qt5Test) pkgconfig(Qt5Qml) pkgconfig(Qt5Quick)
BuildRequires: pkgconfig(Qt5OpenGL)
BuildRequires: qt5-qtbase-private-devel
BuildRequires: cmake(Qt5LinguistTools)

BuildRequires: readline-devel

%if 0%{?tests}
BuildRequires: xorg-x11-server-Xvfb
%endif

Conflicts: kalgebra < 4.7.80

Provides:  kalgebra-libs = %{version}-%{release}

%description
%{summary}.

%package devel
Summary: Developer files for %{name}
Requires: %{name} = %{version}-%{release}
%description devel
%{summary}.


%prep
%setup -q


%build
%cmake_kf5 \
  %{?tests:-DBUILD_TESTING:BOOL=ON}

%cmake_build


%install
%cmake_install

%find_lang_kf5 analitza_qt


%check
%if 0%{?tests}
pushd "%{__cmake_builddir}"
xvfb-run -a \
ctest --output-on-failure --force-new-ctest-process %{?_smp_mflags} --timeout 300 ||:
popd
%endif



%files -f analitza_qt.lang
%license COPYING*
%dir %{_datadir}/libanalitza/
%{_datadir}/libanalitza/plots/
%{_kf5_libdir}/libAnalitza.so.8*
%{_kf5_libdir}/libAnalitzaGui.so.8*
%{_kf5_libdir}/libAnalitzaPlot.so.8*
%{_kf5_libdir}/libAnalitzaWidgets.so.8*
%{_kf5_qmldir}/org/kde/analitza/

%files devel
%{_includedir}/Analitza5/
%{_kf5_libdir}/libAnalitza.so
%{_kf5_libdir}/libAnalitzaGui.so
%{_kf5_libdir}/libAnalitzaPlot.so
%{_kf5_libdir}/libAnalitzaWidgets.so
%{_kf5_libdir}/cmake/Analitza5/


%changelog
* Thu Apr 11 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 23.08.4-1
- initial build
